﻿#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.Data;
using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataVirtualization
{
    public class ViewModel
    {
        public ViewModel()
        {
            var repository= new EmployeeInfoRespository();
            viewSource = new GridVirtualizingCollectionView(repository.GetEmployeesDetails(100000));
        }

        private VirtualizingCollectionView viewSource;

        public VirtualizingCollectionView ViewSource
        {
            get { return viewSource; }
            set { viewSource = value; }
        }
    }
}
